Subject: bug#19022

From: P Maccruiskeen <[email-masked]>
Date: Tue, 20 Jan 2015 12:51:54 -0500

Hello,
I am on 24.4 (installed via homebrew), on Yosemite, I have been seeing
frequent crashes similar to that described by Sam:

Exception Type:        EXC_BAD_ACCESS (SIGABRT)
Exception Codes:       KERN_INVALID_ADDRESS at 0x000040dedeadbec0

Circumstance of my crashes: start Emacs (cocoa mode). Work for a while,
opening some buffers. It can be hours to minutes before I get a crash.

I ran with NSZombieEnabled flag and got this

$  env NSZombieEnabled=YES /Applications/Emacs.app/Contents/MacOS/Emacs
2015-01-20 12:24:58.194 Emacs[26354:3200509] *** -[NSColorSpaceColor
colorUsingDefaultColorSpace]: message sent to deallocated instance
0x11cb56cc0
Fatal error 5: Trace/BPT trapAbort trap: 6

Hope this is useful. I'm new here, if developers would prefer a fresh bug
report, please let me know.

Evan Bender